Subject: Re: [RFC] Enable compilation by Makefile for the MSVC toolchain

From: Johan 't Hart <[email-masked]>
Date: Tue, 18 Aug 2009 19:41:25 +0200

Junio C Hamano schreef:
> Since use of make implies use of shell, this makes me wonder if it would
> make sense to go one step further by giving msvc users a thin shell
> wrapper mcvc-cc that turns bog-standard cc command line into whatever cl
> uses.

Just using the msvc toolchain for building git misses the whole purpose 
of what VC is used for. MSVC would be used because of the IDE, not for 
the compiler IMO. msysgit already has a nice toolchain, using gcc, to 
build git. I think there is no reason to use MSVC for that purpose.

The purpose of CMake was to build an .vcproj file to be used by the IDE, 
not for a batch process that builds git with the VC toolchain. Users 
could than hack git with the IDE from MSVC. And ofcource git should then 
also be compilable by MSVC's cl.exe, because the IDE is not capable of 
using another toolchain then its own...